/*
 * @(#) TransactionContext.java 
 *
 * JOTM: Java Open Transaction Manager 
 *
 * This project is developed inside the ObjectWeb Consortium,
 * http://www.objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id: TransactionContext.java,v 1.3 2002/12/11 15:17:58 jmesnil Exp $
 * --------------------------------------------------------------------------
 */


package org.objectweb.jotm;

import java.io.Serializable;
import javax.transaction.xa.Xid;

/**
 * This is how the JTA Implementation in JOnAS sees the Transaction Context.
 * This interface is used to keep the code independant of the transport layer
 * this context is for internal use only (JOTM and UserTransaction) it have to 
 * be translate for each protocol 
 * 
 * For the moment this Transaction Context is Serializable 
 * for test suite 
 */
public interface TransactionContext extends Serializable {
    public int getTimeout();
    public Coordinator getCoordinator();
    public void setCoordinator(Coordinator c);
    public Terminator getTerminator();
    public Control getControl();
    public Xid getXid();
}
